GET /api/gas/history
Gas price history
Current gas prices for Ethereum
Endpoint​
GET https://api.web3identity.com/api/gas/history
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
chain | query | string | ❌ | Network (ethereum, polygon, arbitrum) |
Example Request​
curl -s "https://api.web3identity.com/api/gas/history" | jq
Responses​
200 Success​
{
"history": [
{
"timestamp": 1707390000,
"fast": 45,
"standard": 38,
"slow": 32,
"baseFee": 30
},
{
"timestamp": 1707391800,
"fast": 48,
"standard": 40,
"slow": 34,
"baseFee": 31
},
{
"timestamp": 1707393600,
"fast": 45,
"standard": 38,
"slow": 32,
"baseFee": 30
}
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec